<?php
include '../../icp.systems.core/access.php';
include '../../icp.systems.tools/vendor/autoload.php';


function extraerFecha($cadena) {
    $pattern = "/(\d{4}-\d{2}-\d{2})/";
    preg_match($pattern, $cadena, $matches);
    if (!empty($matches[0])) {
        return $matches[0];
    } else {
        return false;
    }
}


use PhpOffice\PhpSpreadsheet\{Spreadsheet, IOFactory};

$prod = $dbc->query("SELECT * FROM cc_ipc_rcv_clie ORDER BY id");

$excel = new Spreadsheet;
$hoja_activa = $excel->getActiveSheet();
$hoja_activa->setTitle('CLIENTES');

$hoja_activa->setCellValue('A1', 'CI');
$hoja_activa->setCellValue('B1', 'CLIENTE');
$hoja_activa->setCellValue('C1', 'CELULAR');
$hoja_activa->setCellValue('D1', 'ENCARGADO');
$hoja_activa->setCellValue('E1', 'CELULAR');
$hoja_activa->setCellValue('F1', 'PARENTESCO');
$hoja_activa->setCellValue('G1', 'MERCADO');
$hoja_activa->setCellValue('H1', 'TIPO NEGOCIO');
$hoja_activa->setCellValue('I1', 'REFERENCIA');
$hoja_activa->setCellValue('J1', 'VENDEDOR CI');
$hoja_activa->setCellValue('K1', 'ZONA');
$hoja_activa->setCellValue('L1', 'DIRECCION');
$hoja_activa->setCellValue('M1', 'RAZON SOCIAL');
$hoja_activa->setCellValue('N1', 'NIT');
$hoja_activa->setCellValue('O1', 'EMAIL');
$hoja_activa->setCellValue('P1', 'FECHA');

$fila = 2;
foreach ($prod as $p) {
   $hoja_activa->getColumnDimension('A')->setWidth(15);
   $hoja_activa->setCellValue('A' . $fila, $p['clie_ci']);
   $hoja_activa->getColumnDimension('B')->setWidth(30);
   $hoja_activa->setCellValue('B' . $fila, $p['clie_n']);
   $hoja_activa->getColumnDimension('C')->setWidth(15);
   $hoja_activa->setCellValue('C' . $fila, $p['clie_cel']);
   $hoja_activa->getColumnDimension('D')->setWidth(30);
   $hoja_activa->setCellValue('D' . $fila, $p['clie_ne']);
   $hoja_activa->getColumnDimension('E')->setWidth(15);
   $hoja_activa->setCellValue('E' . $fila, $p['clie_ce']);
   $hoja_activa->getColumnDimension('F')->setWidth(15);
   $hoja_activa->setCellValue('F' . $fila, $p['clie_parentesco']);
   $hoja_activa->getColumnDimension('G')->setWidth(25);
   $hoja_activa->setCellValue('G' . $fila, $p['clie_mercado']);
   $hoja_activa->getColumnDimension('H')->setWidth(20);
   $hoja_activa->setCellValue('H' . $fila, $p['clie_tip_neg']);
   $hoja_activa->getColumnDimension('I')->setWidth(40);
   $hoja_activa->setCellValue('I' . $fila, $p['clie_ref']);
   $hoja_activa->getColumnDimension('J')->setWidth(15);
   $hoja_activa->setCellValue('J' . $fila, $p['clie_asigned_us']);
   $hoja_activa->getColumnDimension('K')->setWidth(15);
   $hoja_activa->setCellValue('K' . $fila, $p['clie_zone']);
   $hoja_activa->getColumnDimension('L')->setWidth(55);
   $hoja_activa->setCellValue('L' . $fila, $p['clie_dir']);
   $hoja_activa->getColumnDimension('M')->setWidth(30);
   $hoja_activa->setCellValue('M' . $fila, $p['clie_fac_rs1']);
   $hoja_activa->getColumnDimension('N')->setWidth(15);
   $hoja_activa->setCellValue('N' . $fila, intval(preg_replace('/[^0-9]+/', '', $p['clie_fac_ci1']), 10));
   $hoja_activa->getColumnDimension('O')->setWidth(30);
   $hoja_activa->setCellValue('O' . $fila, $p['clie_fac_email']);
   $hoja_activa->getColumnDimension('P')->setWidth(15);
   $hoja_activa->setCellValue('P' . $fila, extraerFecha($p['dat_add']));
   $fila++;
}

$fecha = date('Y-m-d');
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="clientes_inicia_erp' . $fecha . '.xlsx"');
header('Cache-Control: max-age=0');

$writer = IOFactory::createWriter($excel, 'Xlsx');
$writer->save('php://output');



exit;
